Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrintEngine

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QPrintEngine

All Implemented Interfaces:
  QtJambiInterface

    public abstract class QPrintEngine

extends QtJambiObject

The `QPrintEngine` class defines an interface for how `QPrinter` interacts with a given printing subsystem.

The common case when creating your own print engine is to derive from both `QPaintEngine` and `QPrintEngine`. Various properties of a print engine are given with `property` and set with `setProperty`.

See Also:
  `QPaintEngine`

Nested Class Summary
`static class` | `QPrintEngine.PrintEnginePropertyKey` This enum is used to communicate properties between the print engine and `QPrinter`.

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Method Summary
`abstract boolean` | `abort()` Instructs the print engine to abort the printing process.
`static QPrintEngine` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QPrintEngine instance pointed to by nativePointer
`abstract int` | `metric(QPaintDevice.PaintDeviceMetric arg__1)` Returns the metric for the given `arg__1`.
`abstract boolean` | `newPage()` Instructs the print engine to start a new page.
`abstract QPrinter.PrinterState` | `printerState()` Returns the current state of the printer being used by the print engine.
`abstract java.lang.Object` | `property(QPrintEngine.PrintEnginePropertyKey key)` Returns the print engine's property specified by `key`.
`abstract void` | `setProperty(QPrintEngine.PrintEnginePropertyKey key, java.lang.Object value)` Sets the print engine's property specified by `key` to the given `value`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### abort

    public abstract boolean abort()

  Instructs the print engine to abort the printing process. Returns true if successful; otherwise returns false.

### metric

    public abstract int metric(QPaintDevice.PaintDeviceMetric arg__1)

  Returns the metric for the given `arg__1`.

### newPage

    public abstract boolean newPage()

  Instructs the print engine to start a new page. Returns true if the printer was able to create the new page; otherwise returns false.

### printerState

    public abstract QPrinter.PrinterState printerState()

  Returns the current state of the printer being used by the print engine.

### property

    public abstract java.lang.Object property(QPrintEngine.PrintEnginePropertyKey key)

  Returns the print engine's property specified by `key`.

  See Also:
    `setProperty`

### setProperty

    public abstract void setProperty(QPrintEngine.PrintEnginePropertyKey key,
                                     java.lang.Object value)

  Sets the print engine's property specified by `key` to the given `value`.

  See Also:
    `property`

### fromNativePointer

    public static QPrintEngine fromNativePointer(QNativePointer nativePointer)

  This function returns the QPrintEngine instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD